Subject: Re: SNMP read-write MIBs

From: Murali Karicheri <[email-masked]>
Date: Wed, 2 Nov 2016 10:47:27 -0400

+ David, Eric,

On 11/01/2016 02:06 PM, Murali Karicheri wrote:
> Hello netdev experts,
> 
> I am investigating the requirements to support hsr/prp SNMP functions in kernel.
> Based on my investigation so far, the kernel include file include/net/snmp.h
> defines all of the SNMP MIBS related defines and structures. But the MIBs are
> read-only type MIBs. Is there any implementation of read-write MIBs in kernel?
> 
> One of the specs for MIBs that are investigating have read-write MIBs and
> wondering if we have any precedence of such MIBs implemented in kernel space.
> If not, what is the suggested way to implement these MIBs in kernel space?
> 
> I assume that to implement read-only MIBs for hsr driver, I need to add
> them to snmp.h and use standard Macros in snmp.h to update them from the driver.
> 
> Thanks
>  
> Murali Karicheri
> Linux Kernel, Keystone
> 
I did some more research on this, and found some of the (not sure if there is any
in kernel) read-write MIBs are implemented in the net-snmp, where
it communicate using a raw socket and calling an ioctl. Is this the way to go
to implement the read-write MIBs?

Thanks
-- 
Murali Karicheri
Linux Kernel, Keystone